Loading...
Searching...
No Matches
ANNpointSet Class Referenceabstract

`#include <ANN.h>`

## Detailed Description

Definition at line 470 of file ANN.h.

Inheritance diagram for ANNpointSet:
[legend]

## Public Member Functions

virtual int | annkFRSearch (ANNpoint q, ANNdist sqRad, int k=0, ANNidxArray nn_idx=NULL, ANNdistArray dd=NULL, double eps=0.0)=0
virtual void | annkSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)=0
virtual int | nPoints ()=0
virtual int | theDim ()=0
virtual ANNpointArray | thePoints ()=0
virtual | ~ANNpointSet ()

## Constructor & Destructor Documentation

## ~ANNpointSet()

virtual ANNpointSet::~ANNpointSet | ( |  | ) |

inline virtual

Definition at line 472 of file ANN.h.

## Member Function Documentation

## annkFRSearch()

virtual int ANNpointSet::annkFRSearch | ( | ANNpoint | q,
|  | ANNdist | sqRad,
|  | int | k = 0,
|  | ANNidxArray | nn_idx = NULL,
|  | ANNdistArray | dd = NULL,
|  | double | eps = 0.0 )

pure virtual

Implemented in ANNbruteForce, and ANNkd_tree.

## annkSearch()

virtual void ANNpointSet::annkSearch | ( | ANNpoint | q,
|  | int | k,
|  | ANNidxArray | nn_idx,
|  | ANNdistArray | dd,
|  | double | eps = 0.0 )

pure virtual

Implemented in ANNbruteForce, and ANNkd_tree.

## nPoints()

virtual int ANNpointSet::nPoints | ( |  | ) |

pure virtual

Implemented in ANNbruteForce, and ANNkd_tree.

## theDim()

virtual int ANNpointSet::theDim | ( |  | ) |

pure virtual

Implemented in ANNbruteForce, and ANNkd_tree.

## thePoints()

virtual ANNpointArray ANNpointSet::thePoints | ( |  | ) |

pure virtual

Implemented in ANNbruteForce, and ANNkd_tree.

Generated on 1768596610 for elastix by 1.15.0 |